MPI_T_event_get_index(3)

NAME
MPI_T_event_get_index - Returns the index of an event type identified by a known event type name

SYNOPSIS
int MPI_T_event_get_index(const char *name, int *event_index)

INPUT PARAMETERS
name
    - name of the event type (string)

OUTPUT PARAMETERS
event_index
    - index of the event type (integer)

THREAD AND INTERRUPT SAFETY
This routine is thread-safe. This means that this routine may be safely used by multiple threads without the need for any user-provided thread locks. However, the routine is not interrupt safe. Typically, this is due to the use of memory allocation routines such as malloc or other non-MPICH runtime routines that are themselves not interrupt-safe.

ERRORS
All MPI routines (except MPI_Wtime and MPI_Wtick ) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with MPI_Comm_set_errhandler (for communicators), MPI_File_set_errhandler (for files), and MPI_Win_set_errhandler (for RMA windows). The MPI-1 routine MPI_Errhandler_set may be used but its use is deprecated. The predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.
MPI_SUCCESS
    - No error; MPI routine completed successfully.
MPI_T_ERR_INVALID
    - Invalid use of the interface or bad parameter values(s).
MPI_T_ERR_INVALID_NAME
    - The variable or category name is invalid
MPI_T_ERR_NOT_INITIALIZED
    - The MPI tool information interface is not initialized.
MPI_ERR_OTHER
    - Other error; use MPI_Error_string to get more information about this error code.